CONFIG += qt release
TEMPLATE = app
DESTDIR = ./bin
TARGET = qtagconvert
DEPENDPATH += .
# INCLUDEPATH += /usr/include/taglib/
#TRANSLATIONS = KCmp3Tag_ru.ts
CODECFORSRC = UTF-8

DEFINES += QTAG_VERSION_MAJ=2
DEFINES += QTAG_VERSION_MIN=0
DEFINES += QTAG_VERSION_BUI=0

# Input
HEADERS += src/KCmp3Tag.h \
           src/aboutdialog.h
FORMS += src/KCmp3Tag.ui src/aboutdialog.ui
SOURCES += src/KCmp3Tag.cpp \
	   src/main.cpp \
           src/aboutdialog.cpp
TRANSLATIONS += locale/qtagconvert_ru.ts

RESOURCES += images/resources.qrc

win32 {
    RC_FILE = qtagconvert.rc
    INCLUDEPATH += ./taglib/include \
                   ./taglib/include/toolkit \
                   ./taglib/include/mpeg \
                   ./taglib/include/mpeg/id3v1 \
                   ./taglib/include/mpeg/id3v2
    LIBS += ./taglib/lib/release/libtaglib.a
}
unix {
    CONFIG += link_pkgconfig
    PKGCONFIG += taglib
    target.path = /usr/bin
    documentation.path = /usr/share/doc/qtagconvert
    documentation.files = README.utf8 COPYING
    locale.path = /usr/share/qtagconvert/locale
    locale.files = locale/*.qm
    pixmap.path = /usr/share/pixmaps
    pixmap.files = images/qtagconvert.xpm
    desktop.path = /usr/share/applications
    desktop.files = qtagconvert.desktop
    INSTALLS += target documentation locale pixmap desktop
}

OBJECTS_DIR = $${DESTDIR}/obj
MOC_DIR = $${DESTDIR}/obj
RCC_DIR = $${DESTDIR}/obj
UI_DIR = ./src/
