/* QTagConvert - Editor tags in mp3 files. Designed to convert codepage.
 * Copyright (C) 2007-2008 Skala <skala@users.sourceforge.net>
 * Copyright (C) 2009 Vasiliy Makarov <drmoriarty.0@gmail.com>
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <QApplication>
#include <QPushButton>
#include <QDir>
#include <QtGui>
#include <QListView>

#include "KCmp3Tag.h"

int main(int argc, char *argv[])
{
QApplication app(argc, argv);
mp3Dialog *mainwindow;
//For savesettings
    QCoreApplication::setOrganizationName("Skala");
    QCoreApplication::setApplicationName("QTagConvert");
    QTranslator translator;
    QString loc_path;
#ifndef WIN32 
    loc_path = qApp->applicationDirPath() + "/../share/qtagconvert/locale/";
#endif 
    QString locale = QLocale::system().name().left(2);
    loc_path += QString("qtagconvert_") + locale;
    translator.load(loc_path);
    //translator.load("qtagconvert_"+locale);
    app.installTranslator(&translator);
#ifdef Q_WS_WIN
	QApplication::setStyle(new QPlastiqueStyle);
#endif
//Checked parametres
	mainwindow = new mp3Dialog;		
	mainwindow->show();
return app.exec();
}
